%define name glpi
%define version 0.71.1
%define release %mkrel 1

Summary: A web based park management
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Monitoring
Url: http://glpi.indepnet.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: apache-base > 2.0.54-5mdk
BuildArch: noarch
Requires: php-xml
Requires: mod_php > 2.0.54

%description
GLPI is web based database application allowing to managed computers
and peripherals park. Its goal is to help technicians about maintenance
expiration, stock flow and license counting.

%prep
%setup -q -n %name

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot%_var/www

(
cd %buildroot%_var/www
tar xzf %{SOURCE0}
)

# remove .htaccess files
find $RPM_BUILD_ROOT%{_var}/www/%{name} -name .htaccess -exec rm -f {} \;

## strip away annoying ^M
find $RPM_BUILD_ROOT%{_var}/www/%{name} -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find $RPM_BUILD_ROOT%{_var}/www/%{name} -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

mkdir -p %buildroot%_sysconfdir/httpd/conf/webapps.d

cat > %buildroot%_sysconfdir/httpd/conf/webapps.d/%{name}.conf <<EOF
# %{name} configuration

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
    Allow from all
    <Files helpdesk.html>
	ForceType text/html;charset=utf-8
    </Files>
</Directory>
<Directory /var/www/%{name}/docs>
    Deny from all
</Directory>
<Directory /var/www/%{name}/docs>
    Deny from all
</Directory>
<Directory /var/www/%{name}/backups/dump>
    Deny from all
</Directory>
<Directory /var/www/%{name}/backups/dump>
    Deny from all
</Directory>
<Directory /var/www/%{name}/glpi>
    Deny from all
</Directory>

EOF

cat > README.urpmi <<EOF

To properly end installation, you'll have to change permission on
/var/www/%{name}/glpi/config
/var/www/%{name}/docs
/var/www/%{name}/backups/dump
with chown apache

To setup the application, go on http://localhost/glpi/
You'll need a MySQL server and a dedicated database.

EOF

%clean
rm -rf $RPM_BUILD_ROOT

%posttrans
%_post_webapp

%postun
%_postun_webapp

%files
%defattr(-,root,root)
%doc README.urpmi
%doc CHANGELOG.txt AUTHORS.txt README.txt
%_sysconfdir/httpd/conf/webapps.d/%{name}.conf
%_var/www/%name





%changelog
* Tue Sep 09 2008 Olivier Thauvin <nanardon@mandriva.org> 0.71.1-1mdv2009.0
+ Revision: 283114
- 0.71.1

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.70-3mdv2009.0
+ Revision: 246211
- rebuild

* Fri Jan 04 2008 Jérôme Soyer <saispo@mandriva.org> 0.70-1mdv2008.1
+ Revision: 145053
- New release

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.68.3-1mdv2008.1
+ Revision: 136445
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Jan 22 2007 Olivier Thauvin <nanardon@mandriva.org> 0.68.3-1mdv2007.0
+ Revision: 111720
- 0.68.3

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 0.65-3mdv2007.0
+ Revision: 54175
- rebuild
- Import glpi

* Wed Apr 26 2006 Anne Nicolas <anne.nicolas@mandriva.com> 0.65-2mdk
- move .htaccess content in apache configuration file
- skip away annoying ^M

* Wed Apr 26 2006 Anne Nicolas <anne.nicolas@mandriva.com> 0.65-1mdk
- new version

* Wed Nov 23 2005 Olivier Thauvin <nanardon@mandriva.org> 0.6-1mdk
- Initial mandriva spec

